###############################################################
#
# Pattern rules for Qt files, which need to call the moc
#
###############################################################

MOC=moc

##############
# Add the new suffix
#
.SUFFIXES: .moc

#############
# Now the Rules
#

%.moc: %.H
	$(MOC) $(MOCFLAGS) $< -o $@

%.moc: %.hxx
	$(MOC) $(MOCFLAGS) $< -o $@

%.moc: %.h++
	$(MOC) $(MOCFLAGS) $< -o $@

%.moc: %.h
	$(MOC) $(MOCFLAGS) $< -o $@

%.moc: %.C
	$(MOC) $(MOCFLAGS) $< -o $@

%.moc: %.cc
	$(MOC) $(MOCFLAGS) $< -o $@

%.moc: %.cpp
	$(MOC) $(MOCFLAGS) $< -o $@

%.moc: %.cxx
	$(MOC) $(MOCFLAGS) $< -o $@

%.moc: %.c++
	$(MOC) $(MOCFLAGS) $< -o $@

